import Surge from '@surgeapi/node';
const client = new Surge({
apiKey: process.env['SURGE_API_KEY'], // This is the default and can be omitted
});
const account = await client.accounts.retrieve('acct_01jpqjvfg9enpt7pyxd60pcmxj');
console.log(account.id);
import os
from surge import Surge
client = Surge(
api_key=os.environ.get("SURGE_API_KEY"), # This is the default and can be omitted
)
account = client.accounts.retrieve(
"acct_01jpqjvfg9enpt7pyxd60pcmxj",
)
print(account.id)
{
"error": {
"message": "The requested resource could not be found.",
"type": "not_found"
}
}
Accounts
Retrieve account
Retrieve a single account by ID.
GET
/
accounts
/
{id}
JavaScript
import Surge from '@surgeapi/node';
const client = new Surge({
apiKey: process.env['SURGE_API_KEY'], // This is the default and can be omitted
});
const account = await client.accounts.retrieve('acct_01jpqjvfg9enpt7pyxd60pcmxj');
console.log(account.id);
import os
from surge import Surge
client = Surge(
api_key=os.environ.get("SURGE_API_KEY"), # This is the default and can be omitted
)
account = client.accounts.retrieve(
"acct_01jpqjvfg9enpt7pyxd60pcmxj",
)
print(account.id)
The name of the account that will be visible for your internal organizational purposes. This will also be the default public-facing brand name unless you also set a brand_name, but otherwise the account name will never be displayed anywhere outside of Surge HQ, and may include your ID for the account or anything else that may help you.
This is the time zone in which the account is headquartered. This time zone may be used for compliance with TCPA restrictions on when messages may be sent.
Example:
"America/Los_Angeles"
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Surge","colors":{"primary":"#8200ff","light":"#a684ff","dark":"#7f22fe"},"logo":{"light":"https://mintcdn.com/surge-67d47b03/1YdD2Aq20HHnJtCK/logo.svg?fit=max\u0026auto=format\u0026n=1YdD2Aq20HHnJtCK\u0026q=85\u0026s=fb53e91d462980a01e9b7c046c98f339","dark":"https://mintcdn.com/surge-67d47b03/1YdD2Aq20HHnJtCK/logo.svg?fit=max\u0026auto=format\u0026n=1YdD2Aq20HHnJtCK\u0026q=85\u0026s=fb53e91d462980a01e9b7c046c98f339"},"favicon":"https://mintcdn.com/surge-67d47b03/TCCrlfgdQylYa0Zn/favicon.png?fit=max\u0026auto=format\u0026n=TCCrlfgdQylYa0Zn\u0026q=85\u0026s=9026e6be7d30dc29237a92585de3ae74","api":{"openapi":"https://app.stainless.com/api/spec/documented/surge/openapi.documented.yml"},"navbar":{"links":[{"href":"mailto:support@surge.app","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://hq.surge.app"}},"footer":{"socials":{"x":"https://x.com/surgeapi","github":"https://github.com/surgeapi","linkedin":"https://www.linkedin.com/company/surgeapi"}},"seo":{"metatags":{"og:image":"https://surgemsg.com/images/surge-preview-9b01c93f5b24bb5128b47c354c371546.jpg?vsn=d"},"indexing":"navigable"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"surge-67d47b03","hasAudioNarration":false,"actualSubdomain":"surge-67d47b03","customDomains":["docs.surge.app"],"gitSource":{"type":"github","owner":"surgeapi","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aaae7802f98a5cbbdae4267","collectionId":"0e5f70d2-2f10-4a77-ba88-b304ffb0016b","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aaae7802f98a5cbbdae4267"},"feedback":{"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aaae7802f98a5cbbdae4267","clientVersion":"0.0.4045","searchFilterCounts":[{"language":"default","tag":"API Reference","count":60},{"language":"default","tag":"Endpoints","count":41},{"language":"default","tag":"Documentation","count":38},{"language":"default","tag":"Webhooks","count":16},{"language":"default","tag":"Events","count":14},{"language":"default","tag":"Phone numbers","count":10},{"language":"default","tag":"SDKs","count":10},{"language":"default","tag":"Register your business","count":9},{"language":"default","tag":"Accounts","count":6},{"language":"default","tag":"Users","count":6}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".nav-logo{height:2rem}"}],"page":{"pagePath":"api-reference/endpoint/accounts/get","slug":"/api-reference/endpoint/accounts/get","pageMetadata":{"title":"Retrieve account","description":"Retrieve a single account by ID.","openapi":"GET /accounts/{id}","href":"/api-reference/endpoint/accounts/get"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieve a single account by ID.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Retrieve account","description":"Retrieve a single account by ID.","openapi":"GET /accounts/{id}","href":"/api-reference/endpoint/accounts/get"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"Retrieve a single account by ID.","operationId":"GetAccount","parameters":["773df1dd-9132-442b-b584-fbe71d598adb"],"responses":{"200":"56850e19-0131-4ec4-9a71-c1869e87f06b","default":"e99be147-a379-4cf6-a61d-af825f881fec"},"summary":"Retrieve an account","tags":["Accounts"],"x-codeSamples":[{"lang":"JavaScript","source":"import Surge from '@surgeapi/node';\n\nconst client = new Surge({\n apiKey: process.env['SURGE_API_KEY'], // This is the default and can be omitted\n});\n\nconst account = await client.accounts.retrieve('acct_01jpqjvfg9enpt7pyxd60pcmxj');\n\nconsole.log(account.id);"},{"lang":"Python","source":"import os\nfrom surge import Surge\n\nclient = Surge(\n api_key=os.environ.get(\"SURGE_API_KEY\"), # This is the default and can be omitted\n)\naccount = client.accounts.retrieve(\n \"acct_01jpqjvfg9enpt7pyxd60pcmxj\",\n)\nprint(account.id)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/surge-go\"\n\t\"github.com/stainless-sdks/surge-go/option\"\n)\n\nfunc main() {\n\tclient := surge.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\taccount, err := client.Accounts.Get(context.TODO(), \"acct_01jpqjvfg9enpt7pyxd60pcmxj\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", account.ID)\n}\n"},{"lang":"Ruby","source":"require \"surge_api\"\n\nsurge = SurgeAPI::Client.new(api_key: \"My API Key\")\n\naccount = surge.accounts.retrieve(\"acct_01jpqjvfg9enpt7pyxd60pcmxj\")\n\nputs(account)"},{"lang":"PHP","source":"\u003c?php\n\nrequire_once dirname(__DIR__) . '/vendor/autoload.php';\n\nuse Surge\\Client;\nuse Surge\\Core\\Exceptions\\APIException;\n\n$client = new Client(apiKey: getenv('SURGE_API_KEY') ?: 'My API Key');\n\ntry {\n $account = $client->accounts->retrieve('acct_01jpqjvfg9enpt7pyxd60pcmxj');\n\n var_dump($account);\n} catch (APIException $e) {\n echo $e->getMessage();\n}"}],"method":"get","type":"path","servers":["15b64cdc-1141-4e54-9b9c-89ee48bd886f"],"security":["4cff3486-9f0b-4fb1-a04d-30a9c3d480fa"],"path":"/accounts/{id}","baseUrlOptions":["https://api.surge.app"],"title":"Retrieve an account","codeSamples":[{"lang":"JavaScript","source":"import Surge from '@surgeapi/node';\n\nconst client = new Surge({\n apiKey: process.env['SURGE_API_KEY'], // This is the default and can be omitted\n});\n\nconst account = await client.accounts.retrieve('acct_01jpqjvfg9enpt7pyxd60pcmxj');\n\nconsole.log(account.id);"},{"lang":"Python","source":"import os\nfrom surge import Surge\n\nclient = Surge(\n api_key=os.environ.get(\"SURGE_API_KEY\"), # This is the default and can be omitted\n)\naccount = client.accounts.retrieve(\n \"acct_01jpqjvfg9enpt7pyxd60pcmxj\",\n)\nprint(account.id)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/surge-go\"\n\t\"github.com/stainless-sdks/surge-go/option\"\n)\n\nfunc main() {\n\tclient := surge.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\taccount, err := client.Accounts.Get(context.TODO(), \"acct_01jpqjvfg9enpt7pyxd60pcmxj\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", account.ID)\n}\n"},{"lang":"Ruby","source":"require \"surge_api\"\n\nsurge = SurgeAPI::Client.new(api_key: \"My API Key\")\n\naccount = surge.accounts.retrieve(\"acct_01jpqjvfg9enpt7pyxd60pcmxj\")\n\nputs(account)"},{"lang":"PHP","source":"\u003c?php\n\nrequire_once dirname(__DIR__) . '/vendor/autoload.php';\n\nuse Surge\\Client;\nuse Surge\\Core\\Exceptions\\APIException;\n\n$client = new Client(apiKey: getenv('SURGE_API_KEY') ?: 'My API Key');\n\ntry {\n $account = $client->accounts->retrieve('acct_01jpqjvfg9enpt7pyxd60pcmxj');\n\n var_dump($account);\n} catch (APIException $e) {\n echo $e->getMessage();\n}"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"773df1dd-9132-442b-b584-fbe71d598adb":{"in":"path","name":"id","required":true,"schema":{"description":"The ID of the account to retrieve.","example":"acct_01jpqjvfg9enpt7pyxd60pcmxj","type":"string","isRequired":true,"uniqueKey":"","typeLabel":"string"}}},"responses":{"56850e19-0131-4ec4-9a71-c1869e87f06b":{"content":{"application/json":{"schema":{"description":"Response containing account information.","example":{"brand_name":"DT Precision Auto","id":"acct_01jpqjvfg9enpt7pyxd60pcmxj","name":"Account #2840 - DT Precision Auto","organization":{"address":{"country":"US","line1":"2640 Huron St","line2":null,"locality":"Los Angeles","name":"DT Precision Auto","postal_code":"90065","region":"CA"},"contact":{"email":"dom@dtprecisionauto.com","first_name":"Dominic","last_name":"Toretto","phone_number":"+13235556439","title":"other","title_other":"Owner"},"country":"US","email":"dom@dtprecisionauto.com","identifier":"123456789","identifier_type":"ein","industry":"automotive","mobile_number":"+13235556439","regions_of_operation":["usa_and_canada"],"registered_name":"DT Precision Auto LLC","stock_exchange":null,"stock_symbol":null,"type":"llc","website":"https://dtprecisionauto.com"},"time_zone":"America/Los_Angeles"},"properties":{"brand_name":{"oneOf":[{"description":"The name by which the people this account communicates with know it. If not provided, this will match the name field.","type":"string","isRequired":true,"uniqueKey":"brand_name.oneOf.0","typeLabel":"string"},{"description":"The name by which the people this account communicates with know it. If not provided, this will match the name field.","type":"null","isRequired":true,"uniqueKey":"brand_name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"brand_name","typeLabel":"string | null"},"id":{"description":"The account ID","type":"string","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"name":{"description":"The name of the account that will be visible for your internal organizational purposes. This will also be the default public-facing brand name unless you also set a `brand_name`, but otherwise the account name will never be displayed anywhere outside of Surge HQ, and may include your ID for the account or anything else that may help you.","type":"string","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"organization":{"description":"The legal entity on whose behalf the account will be operated.","properties":{"address":{"description":"The address of the organization's headquarters.","properties":{"country":{"oneOf":[{"description":"The two character ISO 3166 country code. If none is provided, the organization's country code will be used.","type":"string","isRequired":true,"uniqueKey":"organization.address.country.oneOf.0","typeLabel":"string"},{"description":"The two character ISO 3166 country code. If none is provided, the organization's country code will be used.","type":"null","isRequired":true,"uniqueKey":"organization.address.country.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"organization.address.country","typeLabel":"string | null"},"line1":{"oneOf":[{"description":"The first line of the address, typically the number and street name","type":"string","isRequired":true,"uniqueKey":"organization.address.line1.oneOf.0","typeLabel":"string"},{"description":"The first line of the address, typically the number and street name","type":"null","isRequired":true,"uniqueKey":"organization.address.line1.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"organization.address.line1","typeLabel":"string | null"},"line2":{"oneOf":[{"description":"The second line of the address if needed, typically an apartment or suite number","type":"string","isRequired":true,"uniqueKey":"organization.address.line2.oneOf.0","typeLabel":"string"},{"description":"The second line of the address if needed, typically an apartment or suite number","type":"null","isRequired":true,"uniqueKey":"organization.address.line2.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"organization.address.line2","typeLabel":"string | null"},"locality":{"oneOf":[{"description":"The city or locality","type":"string","isRequired":true,"uniqueKey":"organization.address.locality.oneOf.0","typeLabel":"string"},{"description":"The city or locality","type":"null","isRequired":true,"uniqueKey":"organization.address.locality.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"organization.address.locality","typeLabel":"string | null"},"name":{"oneOf":[{"description":"The name to which any mail should be addressed. If none is provided, this will default to the organization's registered_name","type":"string","isRequired":true,"uniqueKey":"organization.address.name.oneOf.0","typeLabel":"string"},{"description":"The name to which any mail should be addressed. If none is provided, this will default to the organization's registered_name","type":"null","isRequired":true,"uniqueKey":"organization.address.name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"organization.address.name","typeLabel":"string | null"},"postal_code":{"oneOf":[{"description":"The postal code","type":"string","isRequired":true,"uniqueKey":"organization.address.postal_code.oneOf.0","typeLabel":"string"},{"description":"The postal code","type":"null","isRequired":true,"uniqueKey":"organization.address.postal_code.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"organization.address.postal_code","typeLabel":"string | null"},"region":{"oneOf":[{"description":"The state or region","maxLength":20,"type":"string","isRequired":true,"uniqueKey":"organization.address.region.oneOf.0","typeLabel":"string"},{"description":"The state or region","maxLength":20,"type":"null","isRequired":true,"uniqueKey":"organization.address.region.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"organization.address.region","typeLabel":"string | null"}},"required":["name","line1","line2","locality","region","postal_code","country"],"type":"object","isRequired":true,"uniqueKey":"organization.address","typeLabel":"object"},"contact":{"description":"An object representing an individual who can be contacted if the carriers have any questions about the business.","properties":{"email":{"oneOf":[{"description":"An email address at which the individual can be reached. Typically an email using the same domain name as the website URL will be preferred (e.g. with a website domain of `https://dtprecisionauto.com`, an email like `dom@dtprecisionauto.com` will be preferred over one like `dom@anothergarage.com` or `dom.toretto@gmail.com`)","format":"email","type":"string","isRequired":true,"uniqueKey":"organization.contact.email.oneOf.0","typeLabel":"string\u003cemail>"},{"description":"An email address at which the individual can be reached. Typically an email using the same domain name as the website URL will be preferred (e.g. with a website domain of `https://dtprecisionauto.com`, an email like `dom@dtprecisionauto.com` will be preferred over one like `dom@anothergarage.com` or `dom.toretto@gmail.com`)","format":"email","type":"null","isRequired":true,"uniqueKey":"organization.contact.email.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"organization.contact.email","typeLabel":"string\u003cemail> | null"},"first_name":{"oneOf":[{"description":"The first name (or given name) of the individual","type":"string","isRequired":true,"uniqueKey":"organization.contact.first_name.oneOf.0","typeLabel":"string"},{"description":"The first name (or given name) of the individual","type":"null","isRequired":true,"uniqueKey":"organization.contact.first_name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"organization.contact.first_name","typeLabel":"string | null"},"last_name":{"oneOf":[{"description":"The last name (or family name) of the individual","type":"string","isRequired":true,"uniqueKey":"organization.contact.last_name.oneOf.0","typeLabel":"string"},{"description":"The last name (or family name) of the individual","type":"null","isRequired":true,"uniqueKey":"organization.contact.last_name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"organization.contact.last_name","typeLabel":"string | null"},"phone_number":{"oneOf":[{"description":"A phone number at which the individual can be reached (E.164 format)","type":"string","isRequired":true,"uniqueKey":"organization.contact.phone_number.oneOf.0","typeLabel":"string"},{"description":"A phone number at which the individual can be reached (E.164 format)","type":"null","isRequired":true,"uniqueKey":"organization.contact.phone_number.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"organization.contact.phone_number","typeLabel":"string | null"},"title":{"oneOf":[{"description":"The job title of the individual.","enum":["ceo","cfo","director","gm","vp","general_counsel","other"],"type":"string","isRequired":true,"uniqueKey":"organization.contact.title.oneOf.0","typeLabel":"enum\u003cstring>"},{"description":"The job title of the individual.","enum":["ceo","cfo","director","gm","vp","general_counsel","other"],"type":"null","isRequired":true,"uniqueKey":"organization.contact.title.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"organization.contact.title","typeLabel":"enum\u003cstring> | null"},"title_other":{"oneOf":[{"description":"If `other` is provided for the `title` field, this field should be used to provide the title of the individual","type":"string","isRequired":true,"uniqueKey":"organization.contact.title_other.oneOf.0","typeLabel":"string"},{"description":"If `other` is provided for the `title` field, this field should be used to provide the title of the individual","type":"null","isRequired":true,"uniqueKey":"organization.contact.title_other.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"organization.contact.title_other","typeLabel":"string | null"}},"required":["email","first_name","last_name","phone_number","title","title_other"],"type":"object","isRequired":true,"uniqueKey":"organization.contact","typeLabel":"object"},"country":{"oneOf":[{"description":"The two character ISO 3166 country code for the country in which the organization is headquartered.","type":"string","isRequired":true,"uniqueKey":"organization.country.oneOf.0","typeLabel":"string"},{"description":"The two character ISO 3166 country code for the country in which the organization is headquartered.","type":"null","isRequired":true,"uniqueKey":"organization.country.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"organization.country","typeLabel":"string | null"},"email":{"oneOf":[{"description":"For publicly traded companies, an email for a representative of the company to whom a verification email will be sent. This must be an email on the same domain as the company's website (e.g. with a website domain of `https://dtprecisionauto.com`, the email must use the same `@dtprecisionauto.com`)","format":"email","type":"string","isRequired":true,"uniqueKey":"organization.email.oneOf.0","typeLabel":"string\u003cemail>"},{"description":"For publicly traded companies, an email for a representative of the company to whom a verification email will be sent. This must be an email on the same domain as the company's website (e.g. with a website domain of `https://dtprecisionauto.com`, the email must use the same `@dtprecisionauto.com`)","format":"email","type":"null","isRequired":true,"uniqueKey":"organization.email.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"organization.email","typeLabel":"string\u003cemail> | null"},"identifier":{"oneOf":[{"description":"The value of the identifier whose type is specified in the identifier_type field. For EIN, can be formatted with or without the hyphen. For CBN, must be exactly 9 digits. For VAT, provide only the numeric portion, between 2 and 20 digits.","maxLength":20,"minLength":2,"type":"string","isRequired":true,"uniqueKey":"organization.identifier.oneOf.0","typeLabel":"string"},{"description":"The value of the identifier whose type is specified in the identifier_type field. For EIN, can be formatted with or without the hyphen. For CBN, must be exactly 9 digits. For VAT, provide only the numeric portion, between 2 and 20 digits.","maxLength":20,"minLength":2,"type":"null","isRequired":true,"uniqueKey":"organization.identifier.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"organization.identifier","typeLabel":"string | null"},"identifier_type":{"oneOf":[{"description":"The type of identifier being provided for the organization. Use \"ein\" for US organizations, \"cbn\" for Canadian organizations, or \"vat\" for supported international organizations.","enum":["ein","cbn","vat"],"type":"string","isRequired":true,"uniqueKey":"organization.identifier_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"description":"The type of identifier being provided for the organization. Use \"ein\" for US organizations, \"cbn\" for Canadian organizations, or \"vat\" for supported international organizations.","enum":["ein","cbn","vat"],"type":"null","isRequired":true,"uniqueKey":"organization.identifier_type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"organization.identifier_type","typeLabel":"enum\u003cstring> | null"},"industry":{"oneOf":[{"description":"The industry in which the organization operates.","enum":["agriculture","automotive","banking","construction","consumer","education","electronics","energy","engineering","fast_moving_consumer_goods","financial","fintech","food_and_beverage","government","healthcare","hospitality","insurance","jewelry","legal","manufacturing","media","not_for_profit","oil_and_gas","online","professional_services","raw_materials","real_estate","religion","retail","technology","telecommunications","transportation","travel"],"type":"string","isRequired":true,"uniqueKey":"organization.industry.oneOf.0","typeLabel":"enum\u003cstring>"},{"description":"The industry in which the organization operates.","enum":["agriculture","automotive","banking","construction","consumer","education","electronics","energy","engineering","fast_moving_consumer_goods","financial","fintech","food_and_beverage","government","healthcare","hospitality","insurance","jewelry","legal","manufacturing","media","not_for_profit","oil_and_gas","online","professional_services","raw_materials","real_estate","religion","retail","technology","telecommunications","transportation","travel"],"type":"null","isRequired":true,"uniqueKey":"organization.industry.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"organization.industry","typeLabel":"enum\u003cstring> | null"},"mobile_number":{"oneOf":[{"description":"For sole proprietors, this must be a valid US or Canadian mobile phone number to which a verification text message will be sent. (E.164 format)","type":"string","isRequired":true,"uniqueKey":"organization.mobile_number.oneOf.0","typeLabel":"string"},{"description":"For sole proprietors, this must be a valid US or Canadian mobile phone number to which a verification text message will be sent. (E.164 format)","type":"null","isRequired":true,"uniqueKey":"organization.mobile_number.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"organization.mobile_number","typeLabel":"string | null"},"regions_of_operation":{"oneOf":[{"description":"An array of regions in which the organization operates.","items":{"enum":["africa","asia","australia","europe","latin_america","usa_and_canada"],"type":"string","uniqueKey":"organization.regions_of_operation.oneOf.0.items.[INDEX]","typeLabel":"enum\u003cstring>"},"type":"array","isRequired":true,"uniqueKey":"organization.regions_of_operation.oneOf.0","typeLabel":"enum\u003cstring>[]"},{"description":"An array of regions in which the organization operates.","items":{"enum":["africa","asia","australia","europe","latin_america","usa_and_canada"],"type":"string"},"type":"null","isRequired":true,"uniqueKey":"organization.regions_of_operation.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"organization.regions_of_operation","typeLabel":"enum\u003cstring>[] | null"},"registered_name":{"oneOf":[{"description":"The legal name of the organization as registered with the IRS or other relevant authorities. For some applications, this will be matched against government records and should include all punctuation and everything else as well.","type":"string","isRequired":true,"uniqueKey":"organization.registered_name.oneOf.0","typeLabel":"string"},{"description":"The legal name of the organization as registered with the IRS or other relevant authorities. For some applications, this will be matched against government records and should include all punctuation and everything else as well.","type":"null","isRequired":true,"uniqueKey":"organization.registered_name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"organization.registered_name","typeLabel":"string | null"},"stock_exchange":{"oneOf":[{"description":"For publicly traded companies, this is the exchange on which the company's stock is traded.","enum":["amex","amx","asx","b3","bme","bse","fra","icex","jpx","jse","krx","lon","nasdaq","none","nyse","nse","omx","other","sehk","sgx","sse","sto","swx","szse","tsx","twse","vse"],"type":"string","isRequired":true,"uniqueKey":"organization.stock_exchange.oneOf.0","typeLabel":"enum\u003cstring>"},{"description":"For publicly traded companies, this is the exchange on which the company's stock is traded.","enum":["amex","amx","asx","b3","bme","bse","fra","icex","jpx","jse","krx","lon","nasdaq","none","nyse","nse","omx","other","sehk","sgx","sse","sto","swx","szse","tsx","twse","vse"],"type":"null","isRequired":true,"uniqueKey":"organization.stock_exchange.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"organization.stock_exchange","typeLabel":"enum\u003cstring> | null"},"stock_symbol":{"oneOf":[{"description":"For publicly traded companies, the ticker symbol for the company's stock","type":"string","isRequired":true,"uniqueKey":"organization.stock_symbol.oneOf.0","typeLabel":"string"},{"description":"For publicly traded companies, the ticker symbol for the company's stock","type":"null","isRequired":true,"uniqueKey":"organization.stock_symbol.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"organization.stock_symbol","typeLabel":"string | null"},"type":{"oneOf":[{"description":"The type of organization","enum":["co_op","government","llc","non_profit","partnership","private_corporation","public_corporation","sole_proprietor"],"type":"string","isRequired":true,"uniqueKey":"organization.type.oneOf.0","typeLabel":"enum\u003cstring>"},{"description":"The type of organization","enum":["co_op","government","llc","non_profit","partnership","private_corporation","public_corporation","sole_proprietor"],"type":"null","isRequired":true,"uniqueKey":"organization.type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"organization.type","typeLabel":"enum\u003cstring> | null"},"website":{"oneOf":[{"description":"The URL of the website for this organization. The website should be publicly available, clearly reflect the organization's purpose, and the URL should start with `https://`","type":"string","isRequired":true,"uniqueKey":"organization.website.oneOf.0","typeLabel":"string"},{"description":"The URL of the website for this organization. The website should be publicly available, clearly reflect the organization's purpose, and the URL should start with `https://`","type":"null","isRequired":true,"uniqueKey":"organization.website.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"organization.website","typeLabel":"string | null"}},"required":["address","contact","country","email","identifier","identifier_type","industry","mobile_number","regions_of_operation","registered_name","stock_exchange","stock_symbol","type","website"],"title":"Organization","type":"object","isRequired":true,"uniqueKey":"organization","typeLabel":"Organization · object"},"time_zone":{"oneOf":[{"description":"This is the time zone in which the account is headquartered. This time zone may be used for compliance with TCPA restrictions on when messages may be sent.","example":"America/Los_Angeles","type":"string","isRequired":true,"uniqueKey":"time_zone.oneOf.0","typeLabel":"string"},{"description":"This is the time zone in which the account is headquartered. This time zone may be used for compliance with TCPA restrictions on when messages may be sent.","example":"America/Los_Angeles","type":"null","isRequired":true,"uniqueKey":"time_zone.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"time_zone","typeLabel":"string | null"}},"required":["brand_name","id","name","organization","time_zone"],"title":"Account","type":"object","uniqueKey":"","typeLabel":"Account · object"},"examples":{"Example":{"title":"Example","value":{"brand_name":"DT Precision Auto","id":"acct_01jpqjvfg9enpt7pyxd60pcmxj","name":"Account #2840 - DT Precision Auto","organization":{"address":{"country":"US","line1":"2640 Huron St","line2":null,"locality":"Los Angeles","name":"DT Precision Auto","postal_code":"90065","region":"CA"},"contact":{"email":"dom@dtprecisionauto.com","first_name":"Dominic","last_name":"Toretto","phone_number":"+13235556439","title":"other","title_other":"Owner"},"country":"US","email":"dom@dtprecisionauto.com","identifier":"123456789","identifier_type":"ein","industry":"automotive","mobile_number":"+13235556439","regions_of_operation":["usa_and_canada"],"registered_name":"DT Precision Auto LLC","stock_exchange":null,"stock_symbol":null,"type":"llc","website":"https://dtprecisionauto.com"},"time_zone":"America/Los_Angeles"}}},"exampleType":"generated"}},"description":"Account","exampleType":"generated"},"e99be147-a379-4cf6-a61d-af825f881fec":{"content":{"application/json":{"schema":{"description":"An error response","example":{"error":{"message":"The requested resource could not be found.","type":"not_found"}},"properties":{"error":{"description":"An error response","example":{"message":"The requested resource was not found.","type":"not_found"},"properties":{"message":{"description":"A human-readable error message.","example":"The requested resource was not found.","type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"type":{"description":"A unique error code.","example":"not_found","type":"string","isRequired":true,"uniqueKey":"error.type","typeLabel":"string"},"detail":{"additionalProperties":true,"description":"Additional details about the error.","type":"object","uniqueKey":"error.detail","typeLabel":"object"}},"required":["type","message"],"title":"Error","type":"object","isRequired":true,"uniqueKey":"error","typeLabel":"Error · object"}},"required":["error"],"title":"ErrorResponse","type":"object","uniqueKey":"","typeLabel":"ErrorResponse · object"},"examples":{"Example":{"title":"Example","value":{"error":{"message":"The requested resource could not be found.","type":"not_found"}}}},"exampleType":"generated"}},"description":"Error","exampleType":"generated"}},"security":{"4cff3486-9f0b-4fb1-a04d-30a9c3d480fa":{"authorization":{"bearerFormat":"Surge API token","scheme":"bearer","type":"http","scopes":[]}}},"servers":{"15b64cdc-1141-4e54-9b9c-89ee48bd886f":{"url":"https://api.surge.app"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"bearerFormat":"Surge API token","scheme":"bearer","type":"http","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"authorization","name":"Authorization"}],"title":"authorization"}]},"originalFileLocation":"https://app.stainless.com/api/spec/documented/surge/openapi.documented.yml"},"subdomain":"surge-67d47b03","siteName":"Surge","title":"Retrieve account - Surge","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-08-04T18:18:24.630Z","originalFileLocation":"api-reference/endpoint/accounts/get.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieve a single account by ID.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Surge\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/surge-67d47b03/sXzShSiekorghOlZ/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/surge-67d47b03/sXzShSiekorghOlZ/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/surge-67d47b03/sXzShSiekorghOlZ/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/surge-67d47b03/sXzShSiekorghOlZ/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/surge-67d47b03/sXzShSiekorghOlZ/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/surge-67d47b03/sXzShSiekorghOlZ/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/surge-67d47b03/sXzShSiekorghOlZ/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/surge-67d47b03/sXzShSiekorghOlZ/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/surge-67d47b03/sXzShSiekorghOlZ/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Retrieve account - Surge\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieve a single account by ID.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Surge\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.surge.app/api-reference/endpoint/accounts/get\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://surgemsg.com/images/surge-preview-9b01c93f5b24bb5128b47c354c371546.jpg?vsn=d\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Retrieve account - Surge\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieve a single account by ID.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://surgemsg.com/images/surge-preview-9b01c93f5b24bb5128b47c354c371546.jpg?vsn=d\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/surge-67d47b03/sXzShSiekorghOlZ/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Surge\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#8200ff\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.surge.app/api-reference/endpoint/accounts/get\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/endpoint/accounts/get.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.surge.app/#organization\",\"name\":\"Surge\",\"url\":\"https://docs.surge.app\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/surge-67d47b03/1YdD2Aq20HHnJtCK/logo.svg?fit=max\u0026auto=format\u0026n=1YdD2Aq20HHnJtCK\u0026q=85\u0026s=fb53e91d462980a01e9b7c046c98f339\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.surge.app#website\",\"name\":\"Surge\",\"url\":\"https://docs.surge.app\",\"publisher\":{\"@id\":\"https://docs.surge.app/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.surge.app/api-reference/endpoint/accounts/get#webpage\",\"url\":\"https://docs.surge.app/api-reference/endpoint/accounts/get\",\"name\":\"Retrieve account\",\"description\":\"Retrieve a single account by ID.\",\"dateModified\":\"2026-08-04T18:18:24.630Z\",\"isPartOf\":{\"@id\":\"https://docs.surge.app#website\"},\"breadcrumb\":{\"@id\":\"https://docs.surge.app/api-reference/endpoint/accounts/get#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.surge.app/api-reference/endpoint/accounts/get#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Endpoints\",\"item\":\"https://docs.surge.app/api-reference/endpoint/accounts/create\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Accounts\",\"item\":\"https://docs.surge.app/api-reference/endpoint/accounts/create\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Retrieve account\",\"item\":\"https://docs.surge.app/api-reference/endpoint/accounts/get\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.surge.app/api-reference/endpoint/accounts/get#apireference\",\"headline\":\"Retrieve account\",\"name\":\"Retrieve account\",\"description\":\"Retrieve a single account by ID.\",\"url\":\"https://docs.surge.app/api-reference/endpoint/accounts/get\",\"mainEntityOfPage\":{\"@id\":\"https://docs.surge.app/api-reference/endpoint/accounts/get#webpage\"},\"image\":\"https://surgemsg.com/images/surge-preview-9b01c93f5b24bb5128b47c354c371546.jpg?vsn=d\",\"dateModified\":\"2026-08-04T18:18:24.630Z\",\"publisher\":{\"@id\":\"https://docs.surge.app/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.surge.app#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Surge\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Surge","nav":{"global":null,"anchors":[{"anchor":"Documentation","icon":"book-open","pages":[{"title":"Documentation","href":"/overview/what-is-surge"}]},{"anchor":"SDKs","icon":"code","pages":[{"title":"SDKs","href":"/sdks"}]},{"anchor":"API Reference","icon":"terminal","groups":[{"group":"Getting started","pages":[{"title":"Introduction","href":"/api-reference/introduction"},{"title":"Authentication","href":"/api-reference/authentication"},{"title":"Error Reference","href":"/api-reference/errors"}]},{"group":"Endpoints","pages":[{"group":"Accounts","pages":[{"title":"Create account","openapi":"POST /accounts","href":"/api-reference/endpoint/accounts/create"},{"title":"List accounts","description":"Return all accounts under your project. Useful for syncing the accounts you manage and inspecting their carrier registration status.","openapi":"GET /accounts","href":"/api-reference/endpoint/accounts/list"},{"title":"Retrieve account","openapi":"GET /accounts/{id}","href":"/api-reference/endpoint/accounts/get"},{"title":"Check account status","description":"Check an account's registration status and see which fields are still needed for the requested capabilities.","openapi":"GET /accounts/{account_id}/status","href":"/api-reference/endpoint/accounts/check-status"},{"title":"Update account","openapi":"PATCH /accounts/{id}","href":"/api-reference/endpoint/accounts/update"},{"title":"Archive account","openapi":"DELETE /accounts/{id}","href":"/api-reference/endpoint/accounts/archive"}]},{"group":"Attachments","pages":[{"title":"Retrieve attachment file","openapi":"GET /attachments/{attachment_id}/file","href":"/api-reference/endpoint/attachments/get-file"}]},{"group":"Audiences","pages":[{"title":"Create audience","openapi":"POST /accounts/{account_id}/audiences","href":"/api-reference/endpoint/audiences/create"},{"title":"Add contact to audience","openapi":"POST /audiences/{audience_id}/contacts","href":"/api-reference/endpoint/audiences/add-contact"},{"title":"List audience contacts","openapi":"GET /audiences/{audience_id}/contacts","href":"/api-reference/endpoint/audiences/list-contacts"}]},{"group":"Blasts","pages":[{"title":"Create blast","openapi":"POST /accounts/{account_id}/blasts","href":"/api-reference/endpoint/blasts/create"}]},{"group":"Campaigns","pages":[{"title":"Create campaign","openapi":"POST /accounts/{account_id}/campaigns","href":"/api-reference/endpoint/campaigns/create"},{"title":"List campaigns","openapi":"GET /accounts/{account_id}/campaigns","href":"/api-reference/endpoint/campaigns/list"},{"title":"Retrieve campaign","openapi":"GET /campaigns/{id}","href":"/api-reference/endpoint/campaigns/get"},{"title":"Update campaign","openapi":"PATCH /campaigns/{id}","href":"/api-reference/endpoint/campaigns/update"},{"title":"Resend brand verification OTP","openapi":"POST /accounts/{account_id}/brand_verification_messages","href":"/api-reference/endpoint/campaigns/resend-brand-verification-message"}]},{"group":"Contacts","pages":[{"title":"Create contact","openapi":"POST /accounts/{account_id}/contacts","href":"/api-reference/endpoint/contacts/create"},{"title":"List contacts","openapi":"GET /accounts/{account_id}/contacts","href":"/api-reference/endpoint/contacts/list"},{"title":"Retrieve contact","openapi":"GET /contacts/{id}","href":"/api-reference/endpoint/contacts/get"},{"title":"Update contact","openapi":"PATCH /contacts/{id}","href":"/api-reference/endpoint/contacts/update"}]},{"group":"Messages","pages":[{"title":"Send message","openapi":"POST /accounts/{account_id}/messages","href":"/api-reference/endpoint/messages/create"},{"title":"List messages","openapi":"GET /accounts/{account_id}/messages","href":"/api-reference/endpoint/messages/list"},{"title":"Retrieve message","openapi":"GET /messages/{id}","href":"/api-reference/endpoint/messages/get"}]},{"group":"Phone numbers","pages":[{"title":"Purchase phone number","openapi":"POST /accounts/{account_id}/phone_numbers","href":"/api-reference/endpoint/phone-numbers/purchase"},{"title":"List phone numbers","openapi":"GET /accounts/{account_id}/phone_numbers","href":"/api-reference/endpoint/phone-numbers/list"},{"title":"Retrieve phone number","openapi":"GET /phone_numbers/{id}","href":"/api-reference/endpoint/phone-numbers/get"},{"title":"Update phone number","openapi":"PATCH /phone_numbers/{id}","href":"/api-reference/endpoint/phone-numbers/update"},{"title":"Release phone number","openapi":"DELETE /phone_numbers/{id}","href":"/api-reference/endpoint/phone-numbers/release"},{"title":"List available numbers","openapi":"GET /accounts/{account_id}/available_phone_numbers","href":"/api-reference/endpoint/phone-numbers/list-available-numbers"}]},{"group":"Recordings","pages":[{"title":"List recordings","openapi":"GET /accounts/{account_id}/recordings","href":"/api-reference/endpoint/recordings/list"},{"title":"Retrieve recording","openapi":"GET /recordings/{id}","href":"/api-reference/endpoint/recordings/get"},{"title":"Delete recording","openapi":"DELETE /recordings/{id}","href":"/api-reference/endpoint/recordings/delete"},{"title":"Download recording file","openapi":"GET /recordings/{recording_id}/file","href":"/api-reference/endpoint/recordings/get-file"}]},{"group":"Users","pages":[{"title":"Create user","openapi":"POST /accounts/{account_id}/users","href":"/api-reference/endpoint/users/create"},{"title":"List users","openapi":"GET /accounts/{account_id}/users","href":"/api-reference/endpoint/users/list"},{"title":"Retrieve user","openapi":"GET /users/{id}","href":"/api-reference/endpoint/users/get"},{"title":"Update user","openapi":"PATCH /users/{id}","href":"/api-reference/endpoint/users/update"},{"title":"Delete user","openapi":"DELETE /users/{id}","href":"/api-reference/endpoint/users/delete"},{"title":"Create user token","openapi":"POST /users/{user_id}/tokens","href":"/api-reference/endpoint/users/create-token"}]},{"group":"Verifications","pages":[{"title":"Create verification","openapi":"POST /accounts/{account_id}/verifications","href":"/api-reference/endpoint/verifications/create"},{"title":"Check verification","openapi":"POST /verifications/{id}/checks","href":"/api-reference/endpoint/verifications/check"}]}]},{"group":"Webhooks","pages":[{"title":"Webhooks Overview","href":"/api-reference/webhooks/intro"},{"title":"Signature Verification","href":"/api-reference/webhooks/signature-validation"},{"group":"Events","pages":[{"title":"message.sent","openapi":"webhook messageSent","href":"/api-reference/webhooks/message/sent"},{"title":"message.delivered","openapi":"webhook messageDelivered","href":"/api-reference/webhooks/message/delivered"},{"title":"message.failed","openapi":"webhook messageFailed","href":"/api-reference/webhooks/message/failed"},{"title":"message.received","openapi":"webhook messageReceived","href":"/api-reference/webhooks/message/received"},{"title":"contact.opted_in","openapi":"webhook contactOptedIn","href":"/api-reference/webhooks/contact/opted_in"},{"title":"contact.opted_out","openapi":"webhook contactOptedOut","href":"/api-reference/webhooks/contact/opted_out"},{"title":"conversation.created","openapi":"webhook conversationCreated","href":"/api-reference/webhooks/conversation/created"},{"title":"campaign.approved","openapi":"webhook campaignApproved","href":"/api-reference/webhooks/campaign/approved"},{"title":"phone_number.imported","openapi":"webhook phoneNumberImported","href":"/api-reference/webhooks/phone_number/imported"},{"title":"phone_number.attached_to_campaign","openapi":"webhook phoneNumberAttachedToCampaign","href":"/api-reference/webhooks/phone_number/attached_to_campaign"},{"title":"link.followed","openapi":"webhook linkFollowed","href":"/api-reference/webhooks/link/followed"},{"title":"call.ended","openapi":"webhook callEnded","href":"/api-reference/webhooks/call/ended"},{"title":"recording.completed","openapi":"webhook recordingCompleted","href":"/api-reference/webhooks/recording/completed"},{"title":"voicemail.received","openapi":"webhook voicemailReceived","href":"/api-reference/webhooks/voicemail/received"}]}]}]},{"anchor":"Resources","icon":"folder-open","pages":[{"title":"Resources","href":"/resources/hipaa"}]}]},"basePath":"","title":"Retrieve account - Surge","buildId":"dpl_36EDyZCDfRuoUD9af5CH4M1bqY2h","deploymentId":"dpl_36EDyZCDfRuoUD9af5CH4M1bqY2h","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DCDCdBVX.js","utils-ME8dDnLe.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-0e84ACsd.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-wgRBj-ia.js","snippetPresets-C11Sgb-o.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-C0lapOpP.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-ZeRQV8fF.js","shallow-BupWh095.js","getApiPlaygroundDisplay-BnYQO2Ss.js","CodeSnippet-RKKOc8c_.js","CodeSnippets-Drf_m8wS.js","Page-Bevw23-4.js","getPastedJson-u6QiPzNZ.js","icon-Bb-CBSxO.js","MethodPill-F7l5AI7V.js","DuplicateIcon-IiAXkdSg.js","createIcon-FliI8EBc.js","DynamicMarkdown-B62XqCSI.js","SectionHeading-Dj31pT03.js","axios-vUo_bRtp.js","Markdown-BOgQCTwD.js","clsx-BIWXJmsZ.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-DKZWslLH.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-UDqbR6xh.js"]}